Additional operations
Get a service account
Get a service account
curl --request GET \
--url https://api.atlan.com/registry/v1/service-accounts/{principal_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlan.com/registry/v1/service-accounts/{principal_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/registry/v1/service-accounts/{principal_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"client_id": "<string>",
"created_at": "<string>",
"credentials": [
{
"kind": "<string>",
"expires_at": "<string>"
}
],
"id": "<string>",
"principal_type": "<string>",
"redirect_uris": [
"<string>"
],
"scopes": [
"<string>"
],
"status": "<string>",
"created_by": "<string>",
"display_name": "<string>",
"revoked_at": "<string>",
"updated_at": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
HTTP 200 response.
Show child attributes
Show child attributes
⌘I
Get a service account
curl --request GET \
--url https://api.atlan.com/registry/v1/service-accounts/{principal_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlan.com/registry/v1/service-accounts/{principal_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/registry/v1/service-accounts/{principal_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"client_id": "<string>",
"created_at": "<string>",
"credentials": [
{
"kind": "<string>",
"expires_at": "<string>"
}
],
"id": "<string>",
"principal_type": "<string>",
"redirect_uris": [
"<string>"
],
"scopes": [
"<string>"
],
"status": "<string>",
"created_by": "<string>",
"display_name": "<string>",
"revoked_at": "<string>",
"updated_at": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}